using Kivii;
using Kivii.DataAnnotations;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Njust.Pdf.Analysis.Entities
{
    [Alias(Configs.TableDisCoCountry)]
    [Api(Description = "国家合作分布")]
    public class DisCoCountry : EntityWithMetadata
    {
        [ApiMember(Description = "所属领域")]
        public string DomainName { get; set; }

        [ApiMember(Description = "语言")]
        public string Language { get; set; }

        [ApiMember(Description = "国家1")]
        public string Country1 { get; set; }

        [ApiMember(Description = "国家2")]
        public string Country2 { get; set; }

        [ApiMember(Description = "国家合作频次")]
        public int Count { get; set; }
    }
}
